  - job_name: 'mgmt-Servers-Healthcheck'
    metrics_path: /probe
    params:
      module: [http_healthcheck]
    file_sd_configs:
      - files:
          - /etc/blackbox/Device-Targets/MGMT_Servers.yml
    relabel_configs:
      - source_labels: [__address__]
        target_label: __param_target
      - source_labels: [__param_target]
        target_label: instance
      - target_label: __address__
        replacement: 172.20.10.99:9115

  - job_name: 'blackbox_LB-Health'
    metrics_path: /probe
    params:
      module: [http_healthcheck]
    file_sd_configs:
       - files:
         - /etc/blackbox/HTTP_TCP-Targets/LB_Targets.yml    
    relabel_configs:
      - source_labels: [__address__]
        target_label: __param_target
      - source_labels: [__param_target]
        target_label: instance
      - target_label: __address__
        replacement: 172.20.10.99:9115

  - job_name: 'SSL-Expiry'
    metrics_path: /probe
    params:
      module: [http_healthcheck]
    file_sd_configs:
       - files:
         - /etc/blackbox/HTTP_TCP-Targets/SSL_Targets.yml
    relabel_configs:
      - source_labels: [__address__]
        target_label: __param_target
      - source_labels: [__param_target]
        target_label: instance
      - target_label: __address__
        replacement: 172.20.10.99:9115

  - job_name: 'Ping-Switches'
    metrics_path: /probe
    params:
      module: [icmp_prober]
    file_sd_configs:
      - files:
          - /etc/blackbox/Device-Targets/Switch_Targets.yml
    relabel_configs:
      - source_labels: [__address__]
        target_label: __param_target
      - source_labels: [__param_target]
        target_label: instance
      - target_label: __address__
        replacement: 172.20.10.99:9115

  - job_name: 'snmp_SAN-SWITCHES'
    metrics_path: /snmp
    params:
      module: [if_mib]
    file_sd_configs:
      - files:
        - /etc/blackbox/Device-Targets/Switch_Targets.yml
    relabel_configs:
      - source_labels: [__address__]
        target_label: __param_target
      - source_labels: [__param_target]
        target_label: instance
      - target_label: __address__
        replacement: 172.20.10.99:9116

  - job_name: 'blackbox_Service-HealthChecks-General'
    metrics_path: /probe
    params:
      module: [http_healthcheck]
    file_sd_configs:
      - files:
          - /etc/blackbox/HTTP_TCP-Targets/HealthCheck-General_Targets.yml
    relabel_configs:
      - source_labels: [__address__]
        target_label: __param_target
      - source_labels: [__param_target]
        target_label: instance
      - target_label: __address__
        replacement: 172.20.10.99:9115

  - job_name: 'blackbox_Service-HealthChecks-Non200Response'
    metrics_path: /probe
    params:
      module: [http_healthcheck_responsecode]
    file_sd_configs:
      - files:
          - /etc/blackbox/HTTP_TCP-Targets/HealthCheck-Non200_Targets.yml
    relabel_configs:
      - source_labels: [__address__]
        target_label: __param_target
      - source_labels: [__param_target]
        target_label: instance
      - target_label: __address__
        replacement: 172.20.10.99:9115

  - job_name: 'blackbox_R-HAproxy_Service-HealthChecks'
    metrics_path: /probe
    params:
      module: [R-HAproxy_http_healthcheck]
    file_sd_configs:
      - files:
          - /etc/blackbox/HTTP_TCP-Targets/R-HAproxy_Targets.yml
    relabel_configs:
      - source_labels: [__address__]
        target_label: __param_target
      - source_labels: [__param_target]
        target_label: instance
      - target_label: __address__
        replacement: 172.20.10.99:9115

  - job_name: 'blackbox_BEA-HAPROXY_Service-HealthChecks'
    metrics_path: /probe
    params:
      module: [BEA-HAPROXY_http_healthcheck]
    file_sd_configs:
      - files:
          - /etc/blackbox/HTTP_TCP-Targets/Bea-HAproxy_Targets.yml
    relabel_configs:
      - source_labels: [__address__]
        target_label: __param_target
      - source_labels: [__param_target]
        target_label: instance
      - target_label: __address__
        replacement: 172.20.10.99:9115

  - job_name: 'blackbox_AWS-LB-HealthChecks'
    metrics_path: /probe
    params:
      module: [AWS-Healthcheck]
    file_sd_configs:
      - files:
          - /etc/blackbox/HTTP_TCP-Targets/LB-AWS_Targets.yml
    relabel_configs:
      - source_labels: [__address__]
        target_label: __param_target
      - source_labels: [__param_target]
        target_label: instance
      - target_label: __address__
        replacement: 172.20.10.99:9115

  - job_name: 'blackbox_Service-TCPChecks'
    scrape_timeout: 10s
    metrics_path: /probe
    params:
      module: [tcp_connect]
    file_sd_configs:
      - files:
          - /etc/blackbox/HTTP_TCP-Targets/TCP_Targets.yml
    relabel_configs:
      - source_labels: [__address__]
        target_label: __param_target
      - source_labels: [__param_target]
        target_label: instance
      - source_labels: [__address__]
        regex: '(.+):(.+)'
        target_label: expo1
        replacement: '${1}:9100'
      - source_labels: [__address__]
        regex: '(.+):(.+)'
        target_label: expo2
        replacement: '${1}:4444'
      - source_labels: [__address__]
        regex: '(.+):(.+)'
        target_label: portnumber
        replacement: '${2}'
      - target_label: __address__
        replacement: 172.20.10.99:9115

  - job_name: 'blackbox_Service-HealthChecks-ES'
    metrics_path: /probe
    params:
      module: [http_healthcheck_es]
    file_sd_configs:
      - files:
        - /etc/blackbox/HTTP_TCP-Targets/HealthCheck-ES_Targets.yml
    relabel_configs:
      - source_labels: [__address__]
        target_label: __param_target
      - source_labels: [__param_target]
        target_label: instance
      - source_labels: [__address__]
        regex: '(.+):(.+)'
        target_label: expo1
        replacement: '${1}:9100'
      - source_labels: [__address__]
        regex: '(.+):(.+)'
        target_label: expo2
        replacement: '${1}:4444'
      - target_label: __address__
        replacement: 172.20.10.99:9115
    scrape_interval: 10s

  - job_name: 'blackbox_Service-HealthChecks-TP'
    metrics_path: /probe
    params:
      module: [http_healthcheck_tp]
    file_sd_configs:
      - files:
        - /etc/blackbox/HTTP_TCP-Targets/HealthCheck-Tp_Targets.yml
    relabel_configs:
      - source_labels: [__address__]
        target_label: __param_target
      - source_labels: [__param_target]
        target_label: instance
      - source_labels: [__address__]
        regex: '(.+):(.+)'
        target_label: expo1
        replacement: '${1}:9100'
      - source_labels: [__address__]
        regex: '(.+):(.+)'
        target_label: expo2
        replacement: '${1}:4444'
      - target_label: __address__
        replacement: 172.20.10.99:9115
    scrape_interval: 10s

  - job_name: 'blackbox_Service-HealthChecks'
    metrics_path: /probe
    params:
      module: [http_healthcheck]
    file_sd_configs:
      - files:
        - /etc/blackbox/HTTP_TCP-Targets/HealthCheck_Targets.yml
    relabel_configs:
      - source_labels: [__address__]
        target_label: __param_target
      - source_labels: [__param_target]
        target_label: instance
      - source_labels: [__address__]
        regex: '(.+):(.+)'  
        target_label: expo1
        replacement: '${1}:9100'
      - source_labels: [__address__]
        regex: '(.+):(.+)'
        target_label: expo2
        replacement: '${1}:4444'
      - target_label: __address__
        replacement: 172.20.10.99:9115          
    scrape_interval: 10s

  - job_name: 'blackbox_Service-HealthChecks-OK-Reponse'
    metrics_path: /probe
    params:
      module: [http_healthcheck_ok]
    file_sd_configs:
      - files:
        - /etc/blackbox/HTTP_TCP-Targets/HealthCheck-OKReponse_Targets.yml
    relabel_configs:
      - source_labels: [__address__]
        target_label: __param_target
      - source_labels: [__param_target]
        target_label: instance
      - source_labels: [__address__]
        regex: '(.+):(.+)'
        target_label: expo1
        replacement: '${1}:9100'
      - source_labels: [__address__]
        regex: '(.+):(.+)'
        target_label: expo2
        replacement: '${1}:4444'
      - target_label: __address__
        replacement: 172.20.10.99:9115
    scrape_interval: 10s


  - job_name: 'blackbox_Ih_Service-HealthChecks'
    metrics_path: /probe
    params:
      module: [Ih_http_healthcheck]
    file_sd_configs:
      - files:
          - /etc/blackbox/HTTP_TCP-Targets/Ih_Targets.yml
    relabel_configs:
      - source_labels: [__address__]
        target_label: __param_target
      - source_labels: [__param_target]
        target_label: instance
      - target_label: __address__
        replacement: 172.20.10.99:9115

  - job_name: 'Ping-All-Servers'
    scrape_interval: 10s
    metrics_path: /probe
    params:
      module: [icmp_prober]
    file_sd_configs:
      - files:
          - /etc/blackbox/Ping_All_Servers.yml
    relabel_configs:
      - source_labels: [__address__]
        target_label: __param_target
      - source_labels: [__param_target]
        target_label: instance
      - target_label: __address__
        replacement: 172.20.10.99:9115
